module noisy
!--------------------------------------------------------------------------------------
! Set the progress/debug control across all subprograms that use it.  Beware:
! when set to 3 or 4, this can cause scads of stuff to be printed to the screen.
! Keep it less than 3 unless n is small, say n <  10 
!
!   benoisy = 0, no ouput
!   benoisy = 1, progress ouput but no data
!   benoisy = 2, integer and other values, no matrices or vectors
!   benoisy = 3, almost everything prints out
!   benoisy = 4, go insane
!
! Note: for a n x n mesh with n = 8, setting benoisy = 3 will generate 35k lines of
! output. So don't do that.
!
!-------
! Randall Bramley
! Department of Computer Science
! Indiana University, Bloomington
!--------------------------------------------------------------------------------------
    use kindlytypes, only: int4 => integer4
    integer(kind=int4):: benoisy = 0

end module noisy
