
% This script reads in the results file and generates a semilog plot of the residual
% norm convergence history. It don't show data markers if there's too many datum
% points to plot.

R = load('results');
[m, n] = size(R);
% Open a larger figure window than usual
pos = [0.1  0.1    0.7   0.7];
% coordinates are [x-left y-bottom width height]
fighandle = figure('Units', 'normalized', 'Position', pos);

% Don't use data markers if there's too many iterations
if (m < 400)
    semilogy(R(:,1), R(:,2), 'r+', ...                                                   
             R(:,1), R(:,2), 'b-')                                                       
else
    semilogy(R(:,1), R(:,2), 'b-') 
end

title('Bicgstab Convergence History')
xlabel('Iteration Number')
ylabel('Relative Residual norm(r)/norm(b)')
grid on; grid minor
